{ pkgs ? import <nixpkgs> {} }:

let
  pySmartDL = pkgs.callPackage ./development/python/pySmartDL {};
  cfscrape = pkgs.callPackage ./development/python/cfscrape {};
in { 
  gamemode = pkgs.callPackage ./tools/games/gamemode { };
  key-mapper = pkgs.callPackage ./tools/games/key-mapper {};
  vfio-isolate = pkgs.callPackage ./tools/virtualisation/vfio-isolate {};
  mopidy-funkwhale = pkgs.callPackage ./applications/audio/mopidy/funkwhale.nix {};
  # Not as clean as I hoped, but it works
  gnomeExtensions = pkgs.gnomeExtensions // {
    notification-timeout = pkgs.callPackage ./desktop/gnome/extensions/notification-timeout {};
    windowisready-remover = pkgs.callPackage ./desktop/gnome/extensions/windowisready-remover {};
  };
  python3Packages = pkgs.python3Packages // {
    pySmartDL = pySmartDL;
    cfscrape = cfscrape;
  };
  replaysorcery = pkgs.callPackage ./tools/games/replaysorcery {};
  evdev-proxy = pkgs.callPackage ./tools/virtualisation/evdev-proxy {};
  anime4k = pkgs.callPackage ./misc/video/anime4k {};
  anime-dl = pkgs.callPackage ./tools/video/animedl {
    pySmartDL = pySmartDL;
    cfscrape = cfscrape;
  };
}
